Thunderbird ESR 17.x < 17.0.4 nsHTMLEditor Use-After-Free (Mac OS X)

High Nessus Plugin ID 65190

Synopsis

The remote Mac OS X host contains a mail client that is potentially affected by a use-after-free vulnerability.

Description

The installed version of Thunderbird ESR 17.x is potentially affected a use-after-free vulnerability.

An error exists in the HTML editor (nsHTMLEditor) related to content script and the calling of the function 'document.execCommand' while internal editor operations are running. The previously freed memory can be dereferenced and could lead to arbitrary code execution.

Solution

Upgrade to Thunderbird ESR 17.0.4 or later.

See Also

http://www.securityfocus.com/archive/1/526050/30/0/threaded

http://www.zerodayinitiative.com/advisories/ZDI-13-090/

https://www.mozilla.org/en-US/security/advisories/mfsa2013-29/

Plugin Details

Severity: High

ID: 65190

File Name: macosx_thunderbird_17_0_4_esr.nasl

Version: 1.9

Type: local

Agent: macosx

Published: 2013/03/11

Updated: 2018/07/14

Dependencies: 56557

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:mozilla:thunderbird

Required KB Items: MacOSX/Thunderbird/Installed

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2013/03/07

Vulnerability Publication Date: 2013/03/07

Reference Information

CVE: CVE-2013-0787

BID: 58391